Skip to content

Create User Interaction

Request

Security
BearerAuth
Path
identifierstringrequired
Enum:"email""id""UID"
Example:email
identifier_valuestringrequired
Example:john.smith@example.org
Bodyapplication/json
interaction_idinteger
Example:987654
interaction_typestring
Example:"ABC"
interaction_atstring
Example:"1970-01-30T00:00:00.000000Z"
interaction_detailsobject
Example:
{}
POST
/v3/Interactions/{identifier}/{identifier_value}
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/Interactions/email/john.smith@example.org \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "interaction_id": 987654,
    "interaction_type": "ABC",
    "interaction_at": "1970-01-30T00:00:00.000000Z",
    "interaction_details": {}
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataArray of any
Example:
[]
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": [] }